Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt.event
Interface GraphicsNodeChangeListener

All Superinterfaces:
  java.util.EventListener

All Known Subinterfaces:
  Selector

All Known Implementing Classes:
  ConcreteTextSelector, GraphicsNodeChangeAdapter

public interface GraphicsNodeChangeListener
extends java.util.EventListener

The interface for listening to changes on graphics nodes.

Method Summary
`void` | `changeCompleted(GraphicsNodeChangeEvent gnce)` Invoked when a change on a graphics node has completed
`void` | `changeStarted(GraphicsNodeChangeEvent gnce)` Invoked when a change has started on a graphics node, but before any changes occure in the graphics node it's self.

Method Detail

### changeStarted

    public void changeStarted(GraphicsNodeChangeEvent gnce)

  Invoked when a change has started on a graphics node, but before any changes occure in the graphics node it's self.

### changeCompleted

    public void changeCompleted(GraphicsNodeChangeEvent gnce)

  Invoked when a change on a graphics node has completed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.